function fevda = var_fevd(vmacoef) 
   
[ ny ny nH ] = size(vmacoef);
fevda = cumsum(vmacoef.*vmacoef,3);
 
accm = zeros(ny,ny);
for ih = 1 : nH
    accm = accm + vmacoef(:,:,ih) * vmacoef(:,:,ih)';
    denm = repmat(diag(accm),1,ny);
    fevda(:,:,ih) = fevda(:,:,ih) ./ denm;   
end  
  
  