 
function [ CIRF ] = var_irf(BB,covres,h,N)  

for j = 1 : h  
    % Wold impulses
    if j == 1
        wimpu(:,:,j) = eye(size(BB,1),size(BB,2));
    elseif j > 1
        wimpu(:,:,j) = BB^(j-1);
    end 
    % Cholesky impulse response functions
    cimpu(:,:,j) = wimpu(1:N,1:N,j) * chol(covres(:,:))';
    choleskyimp(:,:,j) = cimpu(:,:,j);
end  
CIRF = choleskyimp(:,:,:);       % structural IRFs 
